Package org.apache.tomcat.jdbc.pool

## Class PoolExhaustedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.sql.SQLException
      - - org.apache.tomcat.jdbc.pool.PoolExhaustedException

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Iterable<java.lang.Throwable>`

    public class PoolExhaustedException
    extends java.sql.SQLException

See Also:
  Serialized Form

### Constructor Summary

Constructors
`PoolExhaustedException()`
`PoolExhaustedException​(java.lang.String reason)`
`PoolExhaustedException​(java.lang.String reason, java.lang.String SQLState)`
`PoolExhaustedException​(java.lang.String reason, java.lang.String SQLState, int vendorCode)`
`PoolExhaustedException​(java.lang.String reason, java.lang.String sqlState, int vendorCode, java.lang.Throwable cause)`
`PoolExhaustedException​(java.lang.String reason, java.lang.String sqlState, java.lang.Throwable cause)`
`PoolExhaustedException​(java.lang.String reason, java.lang.Throwable cause)`
`PoolExhaustedException​(java.lang.Throwable cause)`

### Method Summary

### Methods inherited from class java.sql.SQLException

`getErrorCode, getNextException, getSQLState, iterator, setNextException`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### PoolExhaustedException

    public PoolExhaustedException()

#### PoolExhaustedException

    public PoolExhaustedException​(java.lang.String reason)

#### PoolExhaustedException

    public PoolExhaustedException​(java.lang.Throwable cause)

#### PoolExhaustedException

    public PoolExhaustedException​(java.lang.String reason,
                                  java.lang.String SQLState)

#### PoolExhaustedException

    public PoolExhaustedException​(java.lang.String reason,
                                  java.lang.Throwable cause)

#### PoolExhaustedException

    public PoolExhaustedException​(java.lang.String reason,
                                  java.lang.String SQLState,
                                  int vendorCode)

#### PoolExhaustedException

    public PoolExhaustedException​(java.lang.String reason,
                                  java.lang.String sqlState,
                                  java.lang.Throwable cause)

#### PoolExhaustedException

    public PoolExhaustedException​(java.lang.String reason,
                                  java.lang.String sqlState,
                                  int vendorCode,
                                  java.lang.Throwable cause)